- Qt 6.7
- Qt Sensors
- C++ Classes
- QGyroscopeReading
- Qt 6.7.0 Reference Documentation

# QGyroscopeReading Class

The QGyroscopeReading class represents one reading from the gyroscope sensor. More...

Header: | #include <QGyroscopeReading>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- x : const qreal
- y : const qreal
- z : const qreal

## Public Functions

void | setX(qreal x)
void | setY(qreal y)
void | setZ(qreal z)
qreal | x() const
qreal | y() const
qreal | z() const

## Detailed Description

#### QGyroscopeReading Units

The reading contains 3 values, measured in degrees per second that define the movement of the device around the x, y and z axes. Unlike QRotationReading, the values represent the current angular velocity rather than a fixed rotation. The measurements are in degrees per second.

## Property Documentation

### `[read-only]` x : const qreal

This property holds the angular velocity around the x axis.

Measured as degrees per second.

Access functions:

qreal | x() const

See also QGyroscopeReading Units.

### `[read-only]` y : const qreal

This property holds the angular velocity around the y axis.

Measured as degrees per second.

Access functions:

qreal | y() const

See also QGyroscopeReading Units.

### `[read-only]` z : const qreal

This property holds the angular velocity around the z axis.

Measured as degrees per second.

Access functions:

qreal | z() const

See also QGyroscopeReading Units.

## Member Function Documentation

### void QGyroscopeReading::setX(qreal x)

Sets the angular velocity around the x axis to x.

See also x().

### void QGyroscopeReading::setY(qreal y)

Sets the angular velocity around the y axis to y.

See also y().

### void QGyroscopeReading::setZ(qreal z)

Sets the angular velocity around the z axis to z.

See also z().